########################## BACKEND SERVICES ##########################

# Backend Java
---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: content-calendar-staging
  namespace: argocd
  annotations:
    argocd-image-updater.argoproj.io/image-list: registry.gitlab.com/java-gitops-training/backend/content-calendar/stage:~v0.1
    argocd-image-updater.argoproj.io/write-back-method: git
  finalizers:
    - resources-finalizer.argocd.argoproj.io
  labels:
    stage: "staging-service"
    servicebfr: "backend"
spec:
  project: default
  source:
    repoURL: git@gitlab.com:java-gitops-training/infrastructure/deploy.git
    targetRevision: main
    path: overlays/environments/staging/content-calendar
  destination:
    server: https://kubernetes.default.svc
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
      allowEmpty: false
    syncOptions:
      - Validate=true
      - CreateNamespace=false
      - PrunePropagationPolicy=foreground
      - PruneLast=true